## AgsSeekSoundcard

AgsSeekSoundcard — seek soundcard object

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSeekSoundcard * | ags_seek_soundcard_new ()

## Properties

gint64 | offset | Read / Write
GObject * | soundcard | Read / Write
guint | whence | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsSeekSoundcard

## Includes

    #include <ags/audio/task/ags_seek_soundcard.h>

## Description

The AgsSeekSoundcard task seeks AgsSoundcard.

## Functions

### ags_seek_soundcard_new ()

    AgsSeekSoundcard *
    ags_seek_soundcard_new (GObject *soundcard,
                            gint64 offset,
                            guint whence);

Create a new instance of AgsSeekSoundcard.

#### Parameters

soundcard | the GObject sub-type implementing AgsSoundcard |
offset | the offset |
whence | whence see AgsSeekType |

#### Returns

the new AgsSeekSoundcard

Since: 3.0.0

## Property Details

### The `“offset”` property

      “offset”                   gint64

The offset to seek.

Owner: AgsSeekSoundcard

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 3.0.0

### The `“soundcard”` property

      “soundcard”                GObject *

The assigned AgsSoundcard

Owner: AgsSeekSoundcard

Flags: Read / Write

Since: 3.0.0

### The `“whence”` property

      “whence”                   guint

Whence either AGS_SEEK_SET, AGS_SEEK_CUR or AGS_SEEK_END

Owner: AgsSeekSoundcard

Flags: Read / Write

Default value: 1

Since: 3.0.0